LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBBroadcaster Class Reference

`#include <SBBroadcaster.h>`

## Public Member Functions

| SBBroadcaster ()
| SBBroadcaster (const char *name)
| SBBroadcaster (const SBBroadcaster &rhs)
const SBBroadcaster & | operator= (const SBBroadcaster &rhs)
| ~SBBroadcaster ()
bool | IsValid () const
void | Clear ()
void | BroadcastEventByType (uint32_t event_type, bool unique=false)
void | BroadcastEvent (const lldb::SBEvent &event, bool unique=false)
void | AddInitialEventsToListener (const lldb::SBListener &listener, uint32_t requested_events)
uint32_t | AddListener (const lldb::SBListener &listener, uint32_t event_mask)
const char * | GetName () const
bool | EventTypeHasListeners (uint32_t event_type)
bool | RemoveListener (const lldb::SBListener &listener, uint32_t event_mask=UINT32_MAX)
bool | operator== (const lldb::SBBroadcaster &rhs) const
bool | operator!= (const lldb::SBBroadcaster &rhs) const
bool | operator< (const lldb::SBBroadcaster &rhs) const

## Protected Member Functions

| SBBroadcaster (lldb_private::Broadcaster *broadcaster, bool owns)
lldb_private::Broadcaster * | get () const
void | reset (lldb_private::Broadcaster *broadcaster, bool owns)

## Friends

class | SBCommandInterpreter
class | SBCommunication
class | SBEvent
class | SBListener
class | SBProcess
class | SBTarget

## Detailed Description

Definition at line 17 of file SBBroadcaster.h.

## Constructor & Destructor Documentation

lldb::SBBroadcaster::SBBroadcaster | ( |  | ) |

lldb::SBBroadcaster::SBBroadcaster | ( | const char * | name | ) |

lldb::SBBroadcaster::SBBroadcaster | ( | const SBBroadcaster & | rhs | ) |

lldb::SBBroadcaster::~SBBroadcaster | ( |  | ) |

lldb::SBBroadcaster::SBBroadcaster | ( | lldb_private::Broadcaster * | broadcaster,
|  | bool | owns
| ) |  |

protected

## Member Function Documentation

void lldb::SBBroadcaster::AddInitialEventsToListener | ( | const lldb::SBListener & | listener,
|  | uint32_t | requested_events
| ) |  |

uint32_t lldb::SBBroadcaster::AddListener | ( | const lldb::SBListener & | listener,
|  | uint32_t | event_mask
| ) |  |

void lldb::SBBroadcaster::BroadcastEvent | ( | const lldb::SBEvent & | event,
|  | bool | unique = `false`
| ) |  |

void lldb::SBBroadcaster::BroadcastEventByType | ( | uint32_t | event_type,
|  | bool | unique = `false`
| ) |  |

void lldb::SBBroadcaster::Clear | ( |  | ) |

bool lldb::SBBroadcaster::EventTypeHasListeners | ( | uint32_t | event_type | ) |

lldb_private::Broadcaster* lldb::SBBroadcaster::get | ( |  | ) | const

protected

const char* lldb::SBBroadcaster::GetName | ( |  | ) | const

bool lldb::SBBroadcaster::IsValid | ( |  | ) | const

bool lldb::SBBroadcaster::operator!= | ( | const lldb::SBBroadcaster & | rhs | ) | const

bool lldb::SBBroadcaster::operator< | ( | const lldb::SBBroadcaster & | rhs | ) | const

const SBBroadcaster& lldb::SBBroadcaster::operator= | ( | const SBBroadcaster & | rhs | ) |

bool lldb::SBBroadcaster::operator== | ( | const lldb::SBBroadcaster & | rhs | ) | const

bool lldb::SBBroadcaster::RemoveListener | ( | const lldb::SBListener & | listener,
|  | uint32_t | event_mask = `UINT32_MAX`
| ) |  |

void lldb::SBBroadcaster::reset | ( | lldb_private::Broadcaster * | broadcaster,
|  | bool | owns
| ) |  |

protected

## Friends And Related Function Documentation

friend class SBCommandInterpreter

friend

Definition at line 75 of file SBBroadcaster.h.

friend class SBCommunication

friend

Definition at line 76 of file SBBroadcaster.h.

friend class SBEvent

friend

Definition at line 77 of file SBBroadcaster.h.

friend class SBListener

friend

Definition at line 78 of file SBBroadcaster.h.

friend class SBProcess

friend

Definition at line 79 of file SBBroadcaster.h.

friend class SBTarget

friend

Definition at line 80 of file SBBroadcaster.h.

The documentation for this class was generated from the following file:

- SBBroadcaster.h